<template>
  <AbsoluteLayout :colSpan="colSpan">
    <StackLayout @tap="$emit('onListItemTaped')" :isEnabled="isEnabled" width="100%" class="boring itemCustom" :class="classButton" :row="row" :backgroundColor="item.color">
      <DockLayout stretchLastChild="true">
        <Label class="fa" :class="classSpinner" :text="iconText(item.icono)" width="25" dock="left" :color="item.text_color"></Label>                        
        <Label class="boring fa" :color="item.text_color">Mtto: {{item.title}}</Label>
      </DockLayout>
      <Label class="fa" col="1" colSpan="5" :color="item.text_color">Fecha: {{item.fecha_status}}</Label>
    </StackLayout>
  </AbsoluteLayout>
</template>

<script>
import store from '../../store';

export default {
  props:[
    'row',
    'colSpan',
    'item'
  ],
  data(){
    return{
    }
  },
  computed:{
    classButton() {
      return this.isActive_b ? "button_tap" : "button_down"
    },
    classSpinner() {
        return (this.item.icono == '61712') ? "spinner":null;
    },
		isActive_b(){
      return store.getters.getIsActiveMenuButton(this.item.id) ? true:false;
    },
		isEnabled(){
      return store.getters.getIsEnabledListLabelButton(this.item.id) ? true:false;
		},
  },
  methods:{
    iconText(icon){
      return String.fromCharCode(icon)
    }
  }
}
</script>

<style scoped>
.boring{  
  border-width: 0 0 2 0;
  border-color: rgba(0, 0, 0, 0.3);
}

.itemCustom{
  margin-bottom: 10px;
  display: inline-block;
  text-decoration: none;
  font-weight: bold;
  padding: 20px 80px;
}

.button_tap{
  animation-name: pulse;
  animation-duration: .1s;
  animation-fill-mode: forwards;
}

.button_down{
  animation-name: pulse;
  animation-duration: .5s;
  animation-direction: reverse;
}


.backdrop {
  background-color: #1d1e23e6;
  opacity: 0;
}
 
.spinner {
    text-align: center;
    animation-name: spinner;
    animation-timing-function: linear;
    animation-duration: 2s;
    animation-iteration-count: infinite;
}

@keyframes spinner {
    from {transform:rotate(0deg);}
    to {transform:rotate(360deg);}
}

@keyframes pulse {
  from {
    background-color: rgba(0, 0, 0, 0.9);
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
</style>
